App = {
		startup: function(){
			$("#addGroupButton").click(App.addGroup);
			$("#loginButton").click(App.login);
			App.loadGroups();
		},
		addGroup: function(){
			var group = $('#groupForm').serializeObject();
			$.ajax({
		        url: '/group',
		        type: 'POST',
		        contentType: 'application/json',
		        data: JSON.stringify(group),
		        success: function(){
		        	//App.loadGroup();
		        },
		        error: function(xhr,err){
		        	alert("encountered a problem: ", err);
		        }
		    });
			return false;
		},
		loadGroups: function(){
			$.getJSON( "/groups", function( data ) {
				  var items = [];
				  $.each( data, function( key, val ) {
				    items.push( "<li id='" + key + "'>" + val.name + "</li>" );
				  });
				 
				  $("#groups").empty();
				  $("#groups").html("<ul>"+items.join("")+"</ul>");
				});
		},
		login: function(){
			var login = $('#loginForm').serializeObject();
			$.ajax({
		        url: '/login',
		        type: 'POST',
		        contentType: 'application/json',
		        data: JSON.stringify(login),
		        success: function(data){
		        	alert("You are now logged in: " + data)
		        },
		        error: function(x){
		        	console.error("encountered a problem: ", x);
		        }
		    });
			return false;
		}
}
$( document ).ready(function() {
   App.startup();
});