name := "microPlay"

version := "1.0-SNAPSHOT"

lazy val microPlay = (project in file(".")).enablePlugins(PlayJava, PlayEbean)

scalaVersion := "2.11.6"

libraryDependencies ++= Seq(
  javaJdbc,
  cache,
  javaWs,
  "mysql" % "mysql-connector-java" % "5.1.18",
  "org.webjars" % "jquery" % "3.0.0-alpha1",
  "org.webjars" %% "webjars-play" % "2.4.0"
)

// Play provides two styles of routers, one expects its actions to be injected, the
// other, legacy style, accesses its actions statically.
routesGenerator := InjectedRoutesGenerator


//fork in run := true

